Summary: ifmail - FTN package for UN*X - `` TX '' diffs
Name: ifmail
Version: 2.12
Release: tx8.6
Icon: ifmail.gif
Source0: ftp://ftp.z2.fidonet.org/pub/linux/Fido/ifmail-%{PACKAGE_VERSION}-%{PACKAGE_RELEASE}.tar.gz
Source1: ifmail.logrotate
Patch: ifmail-%{PACKAGE_VERSION}-%{PACKAGE_RELEASE}.rpm-diff
Copyright: distribuable
Group: Networking/Utilities
Requires: sendmail >= 8.8.5, sendmail-cf >= 8.8.5, inn >= 1.5.1
Buildroot: /tmp/ifmail-root
URL: http://www.z2.fidonet.org/ifmail-tx/
Packager: Pablo Saratxaga <srtxg@linux.chanae.stben.be>

%description
FidoNet(r) transport and gateway for UN*X platform.
Delivers Fidonet mail packets over telephone lines
and TCP/IP connections; converts Fidonet net- and
echomail to RFC-822/RFC-1036 compliant mail and news
and vice versa.  In cooperation with MTA and netnews
packages allows to run a FidoNet node (or point) on
a UN*X machine.

%prep
%setup -n ifmail
%patch -p0
%build
make

%pre
export PATH=/bin:/usr/bin:$PATH
TMP=`grep ^fnet: /etc/passwd`
if [ "$TMP" = "" ]; then
   while [ -r /etc/.pwd.lock ]; do sleep 5 ; done
   touch /etc/.pwd.lock
   cp /etc/passwd /etc/passwd-
   IF_UID=2200
   while grep "[^:]*:[^:]*:$IF_UID:.*" /etc/passwd > /dev/null
   do IF_UID=`expr $IF_UID + 1` ; done
   IF_GID=`grep ^uucp: /etc/group | cut -d':' -f3`
   if [ "$IF_GID" = "" ]; then
        IF_GID=14
        cp /etc/group /etc/group-
        while grep "[^:]*:[^:]*:$IF_GID:.*" /etc/group > /dev/null
        do IF_GID=`expr $IF_GID + 1` ; done
        echo "uucp::${IF_GID}:uucp,fnet,news,root,mail" >> /etc/group
   else
	cp /etc/group /etc/group-
	TMP=`grep ^uucp: /etc/group`
	MEMBERS=uucp,fnet,news,root,mail
	for i in `echo $TMP | cut -d: -f4 | tr ',' ' '`; do
		if [ "$i" = "uucp" ]; then : ;
        	elif [ "$i" = "fnet" ]; then : ;
        	elif [ "$i" = "news" ]; then : ;
        	elif [ "$i" = "root" ]; then : ;
        	elif [ "$i" = "mail" ]; then : ;
        	else
        		MEMBERS="$MEMBERS,$i"
        	fi
	done
	LINE="`echo $TMP | cut -d: -f1-3`:$MEMBERS"
	cat /etc/group- | sed s/$TMP/$LINE/ > /etc/group
   fi
   echo "fnet:*:${IF_UID}:${IF_GID}:fnet:/usr/lib/ifmail:" >> /etc/passwd
   rm /etc/.pwd.lock
fi

%install
if [ ! ${RPM_BUILD_ROOT} = / ]; then
  rm -rf ${RPM_BUILD_ROOT} ;
fi
for i in $RPM_BUILD_ROOT/usr/man/man3 \
	$RPM_BUILD_ROOT/usr/man/man8 \
	$RPM_BUILD_ROOT/usr/man/fr/man8 \
	$RPM_BUILD_ROOT/var/log/ifmail \
	$RPM_BUILD_ROOT/var/spool/ifmail/in \
	$RPM_BUILD_ROOT/var/spool/ifmail/in-known \
	$RPM_BUILD_ROOT/var/spool/ifmail/in-unknw \
	$RPM_BUILD_ROOT/var/spool/ifmail/nl.d \
	$RPM_BUILD_ROOT/var/spool/ifmail/fidonet \
	$RPM_BUILD_ROOT/var/spool/ifmail/tic \
	$RPM_BUILD_ROOT/tmp/ifmail \
	$RPM_BUILD_ROOT/usr/lib/news \
	$RPM_BUILD_ROOT/usr/lib/sendmail-cf/mailer \
	$RPM_BUILD_ROOT/usr/lib/sendmail-cf/cf \
	$RPM_BUILD_ROOT/etc/logrotate.d 
do
	mkdir -p $i
done
chown man.man -R $RPM_BUILD_ROOT/usr/man
chown news.news $RPM_BUILD_ROOT/usr/lib/news
chown fnet.uucp -R $RPM_BUILD_ROOT/var/spool/ifmail \
	$RPM_BUILD_ROOT/var/log/ifmail $RPM_BUILD_ROOT/tmp/ifmail
chmod 750 -R $RPM_BUILD_ROOT/var/spool/ifmail \
	$RPM_BUILD_ROOT/var/log/ifmail $RPM_BUILD_ROOT/tmp/ifmail
BUILD_ROOT=$RPM_BUILD_ROOT make directories
BUILD_ROOT=$RPM_BUILD_ROOT make install_config
echo -e "password\t2:293/2219\tsamplepassword" > $RPM_BUILD_ROOT/etc/ifmail/passwds
chown fnet.uucp $RPM_BUILD_ROOT/etc/ifmail/passwds
chmod 600 $RPM_BUILD_ROOT/etc/ifmail/passwds
cp misc/inn/send-ifmail $RPM_BUILD_ROOT/usr/lib/news
chown news.news $RPM_BUILD_ROOT/usr/lib/news/send-ifmail
chmod 750 $RPM_BUILD_ROOT/usr/lib/news/send-ifmail
BUILD_ROOT=$RPM_BUILD_ROOT make install
strip $RPM_BUILD_ROOT/usr/lib/ifmail/*
BUILD_ROOT=$RPM_BUILD_ROOT make man
cp ifcico/ifcico.8.fr $RPM_BUILD_ROOT/usr/man/fr/man8/ifcico.8
cp misc/sendmail/fnet.m4 $RPM_BUILD_ROOT/usr/lib/sendmail-cf/mailer
cp misc/sendmail/ifmail.mc $RPM_BUILD_ROOT/usr/lib/sendmail-cf/cf
install -m644 $RPM_SOURCE_DIR/ifmail.logrotate $RPM_BUILD_ROOT/etc/logrotate.d/ifmail

%clean
if [ ! ${RPM_BUILD_ROOT} = / ]; then
  rm -rf ${RPM_BUILD_ROOT} ;
fi

%post
export PATH=/bin:/usr/bin:$PATH
TMP=`grep ^fido /etc/services`
if [ "$TMP" = "" ]; then
	echo "# FTN services
fido		60179/tcp		# the standard ifmail port (TCP)
# incomming fido via telnet mode
tfido		60177/tcp		# (Vmodem) port used in Russia
vmodem		666/tcp			# (Vmodem) port used on OS/2 and Windows
" >> /etc/services
	echo "fido	stream	tcp	nowait	fnet	/usr/lib/ifmail/ifcico ifcico
tfido   stream  tcp     nowait  fnet    /usr/lib/ifmail/ifcico ifcico -t1
vmodem  stream  tcp     nowait  fnet    /usr/lib/ifmail/ifcico ifcico -t1
" >> /etc/inetd.conf
	kill -1 `head -1 /var/run/inetd.pid`
fi
if [ ! -r /var/spool/cron/fnet ]; then
echo -e "
# you can use a similar line to poll; as ifcico -r1 is regularly run
# creating a *.clo makes it to issue a modem call. It will try until
# the connection is done.
# change the hour and of course the address to match your needs.
#
#01 06 * * *	touch /var/spool/ifmail/fidonet/012508ac.clo

# run ifcico -r1 each 8 min.  If any crash or normal flavoured bundles
# are found an outgoing call is done.
*/8 * * * *	/usr/lib/ifmail/ifcico -r1

# check for incoming pkt at each hour 00 20 and 40 min.
# ifunpack uncompress the arcmail and pipes the pkt to iftoss 
# which converts to rfc822/rfc1036 format
00,20,40 * * * *	/usr/lib/ifmail/ifunpack

# check for outgoing pkt at each hour 10 30 and 50 min to compress
# them into arcmail. 
10,30,50 * * * *	/usr/lib/ifmail/ifpack
" > /var/spool/cron/fnet
chmod 600 /var/spool/cron/fnet
fi

%files
%doc README README.charset README.first ifcico/README.mxlookup ifcico/README.TELNET misc/DEBUG misc/FAQ misc/contrib/ misc/sendmail/ifmail.mc.README misc/inn/
%config /etc/ifmail/Areas
%config /etc/ifmail/config
%config /etc/ifmail/passwds
%config /usr/lib/news/send-ifmail
%config /usr/lib/sendmail-cf/cf/ifmail.mc
%config /etc/logrotate.d/ifmail
/etc/ifmail/maptabs/
/usr/lib/ifmail/
/usr/man/man3/parsedate.3
/usr/man/man8/cleanup_ref.8
/usr/man/man8/ifcico.8
/usr/man/man8/ifmail.8
/usr/man/man8/ifnews.8
/usr/man/man8/iftoss.8
/usr/man/fr/man8/ifcico.8
/var/spool/ifmail/
/tmp/ifmail/
/var/log/ifmail/
/usr/lib/sendmail-cf/mailer/fnet.m4
/usr/share/locale/*/LC_MESSAGES/ifmail.mo
